MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001126VCMIAI - Adventure Mappublic2012-10-01 08:162018-07-27 08:00
ReporterWarmonger 
Assigned ToWarmonger 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9 
Target VersionFixed in Version0.94b 
Summary0001126: Hero stuck at subterranen gate when it's exit is guarded
DescriptionHero killed guard of Subterranean gate on the surface, and entered it, but on the other side there is another guard too strong to attack. The hero got stuck and doens't return or perform any action.
The issue is severe, as on many maps (especially random) gates have strong double guards and there is no other way through.
Steps To ReproduceLoad attached save (0.90). Follow the road to find red hero orris stuck at Subterranean gate underground.
TagsNo tags attached.
Attached Filesrar file icon Stuck at Subterranean Gate.rar [^] (753,497 bytes) 2012-10-01 08:16

- Relationships
related to 0000904resolvedWarmonger AI got stuck behind visitable object 
related to 0001131closedWarmonger When AI visits cartographer, it finds further exploration impossible 
related to 0002980new AI can't collect army to defeat guard on the other side of Subterranean Gate 

-  Notes
(0003165)
Warmonger (administrator)
2012-10-04 10:20

Behavior can be different after r2973. Now AI will try to visit both gates in pair immediately, which is simplification, but should prevent hero getting stuck on the other side.
(0004203)
Warmonger (administrator)
2013-12-23 20:48

Fixed in #3673.

- Issue History
Date Modified Username Field Change
2012-10-01 08:16 Warmonger New Issue
2012-10-01 08:16 Warmonger Status new => assigned
2012-10-01 08:16 Warmonger Assigned To => Tow
2012-10-01 08:16 Warmonger File Added: Stuck at Subterranean Gate.rar
2012-10-01 08:16 Warmonger Relationship added related to 0000904
2012-10-04 10:19 Warmonger Relationship added related to 0001131
2012-10-04 10:20 Warmonger Note Added: 0003165
2013-12-23 17:12 Warmonger Assigned To Tow => Warmonger
2013-12-23 20:48 Warmonger Note Added: 0004203
2013-12-23 20:48 Warmonger Status assigned => resolved
2013-12-23 20:48 Warmonger Fixed in Version => 0.94b
2013-12-23 20:48 Warmonger Resolution open => fixed
2018-07-27 08:00 Warmonger Relationship added related to 0002980

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean